# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import os

from ubuntu_system_tests.helpers import unity8


def get_external_test_ids(testsuite_list_filepath=None):
    """Return a list of strings of test ids."""
    if not testsuite_list_filepath:
        testsuite_list_filepath = _get_testsuite_list_filepath()
    testsuite_list = []
    with open(testsuite_list_filepath) as f:
        testsuite_list = f.readlines()

    return [t_id.strip() for t_id in testsuite_list if t_id.strip() != '']


def _get_testsuite_list_filepath():
    """Returns path of the file containing the list of tests to run."""
    return os.path.join(
        os.path.dirname(__file__),
        'testsuite_list'
    )


def ensure_unity_in_required_state(test_id):
    if test_id.startswith('unity8'):
        unity8.ensure_unity_stopped()
    else:
        unity8.ensure_unity_running_and_greeter_hidden()
