# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import fixtures
import os

from ubuntu_system_tests.helpers.backup_restore_fixture import (
    BackupRestoreFixture)
from ubuntu_system_tests.helpers.file_system import DIR_HOME_LOCAL_SHARE

DIR_DOWNLOAD_MANAGER = os.path.join(DIR_HOME_LOCAL_SHARE,
                                    'ubuntu-download-manager')


class BackupRestoreDownloadManager(fixtures.Fixture):
    """Generic fixture class to backup and restore download manager files."""

    def __init__(self, start_clean=True):
        """
        :param start_clean: Whether to clean media directories after backup.

        """
        self.start_clean = start_clean

    def setUp(self):
        """Backup the required directory and register restore actions."""
        super().setUp()
        self._backup_files()

    def _backup_files(self):
        """Backup the files which are removed during testing."""
        self.useFixture(BackupRestoreFixture(
            DIR_DOWNLOAD_MANAGER, start_clean=self.start_clean))
