# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from ubuntu_system_tests.helpers.scopes import go_to_apps_scope
from ubuntu_system_tests.helpers import timer


APP_STORE_TITLE = 'Ubuntu Store'


def launch_application_from_apps_scope(app_name, category=None):
    """
    Launch an app from apps scope and return proxy object.

    :param app_name: Name of the displayed application.
    :param category: Category name app is displayed in. If None then the
                     category name will be discovered automatically.
    """
    apps_scope = go_to_apps_scope()
    if not category:
        category = apps_scope.get_app_category(app_name)
    apps_scope.click_scope_item(category, app_name)
    timer.start(timer.LAUNCH_ID)
