# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from ubuntu_system_tests.helpers.unity8 import get_dash

ARTISTS_LABEL = 'Artists'
ALBUMS_LABEL = 'Albums'
GENRES_LABEL = 'Genres'
TRACKS_LABEL = 'Tracks'
ALL_CATEGORIES_LABEL = 'All categories'
TOP_ALBUMS_LABEL = 'Top albums'


def get_page_header():
    """Return page header for the music scope."""
    from ubuntu_system_tests.helpers.scopes.music._cpo import DashPageHeader
    return get_dash().get_current_page_header(header_class=DashPageHeader)


def get_artists(songs, remove_duplicate=True):
    """Return a sorted list of all the artists in songs.
    :param remove_duplicates: Whether to remove duplicated artist names.
    :return: Sorted list of song artists.
    """
    artists = [song.artist for song in songs]
    if remove_duplicate:
        artists = list(set(artists))
    return sorted(artists)


def get_albums(songs):
    """Get a sorted list without duplicates with all the albums in songs."""
    return sorted(list(set([song.album for song in songs])))
