
# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


from unity8 import indicators


class Slider(indicators.Slider):

    def _get_slider_thumb(self):
        """Return the slider thumb."""
        return self.select_single('UCUbuntuShape',
                                  borderSource='radius_idle.sci')

    def _get_slide_coordinates(self):
        """Return the necessary values to slide the thumb."""
        thumb = self._get_slider_thumb()
        slider_x, slider_y, slider_width, slider_height = self.globalRect
        thumb_x, thumb_y, thumb_width, thumb_height = thumb.globalRect

        start_x = thumb_x + thumb_width/2
        start_y = stop_y = thumb_y + thumb_height/2

        rate = 1
        step = slider_width/6

        return start_x, start_y, stop_y, rate, step

    def slide_one_step_right(self):
        """Slide the thumb a fraction to the right."""
        start_x, start_y, stop_y, rate, step = self._get_slide_coordinates()
        stop_x = start_x + step

        if self.value != self.maximumValue:
            self.pointing_device.drag(start_x, start_y, stop_x, stop_y, rate)

    def slide_one_step_left(self):
        """Slide the thumb a fraction to the left."""
        start_x, start_y, stop_y, rate, step = self._get_slide_coordinates()
        stop_x = start_x - step

        if self.value != self.minimumValue:
            self.pointing_device.drag(start_x, start_y, stop_x, stop_y, rate)
