
# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from ubuntuuitoolkit import UbuntuUIToolkitCustomProxyObjectBase


class SwitchMenu(UbuntuUIToolkitCustomProxyObjectBase):

    def get_checkbox(self):
        """Return check box object."""
        return self.select_single(
            'CheckBox', objectName='switcher', visible=True)

    def toggle(self):
        """Toggle state of switch and wait for it to be enabled."""
        switch = self.get_checkbox()
        next_state = not switch.checked
        self.pointing_device.click_object(switch)
        switch.checked.wait_for(next_state)
        switch.enabled.wait_for(True)
