# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3,
# as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import base64
import uuid


def b64_uuid(length=None):
    """
    Return base 64 url-safe uuid of specified length. If length is not
    specified then a 22 character uuid will be returned.

    """
    uid = _get_uuid()
    if length:
        multiples, remainder = divmod(length, len(uid))
        uid = uid[:remainder]
        for count in range(0, multiples):
            uid += _get_uuid()
    return uid


def _get_uuid():
    """Return 22 character base 64 encoded url-safe uuid string."""
    return base64.urlsafe_b64encode(uuid.uuid4().bytes).decode().strip('=')
