# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2014 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import os
import subprocess


def convert_subunit_results_to_pyunit(artifacts_directory):
    subunit_source_file_path = os.path.join(
        artifacts_directory, 'test-results.subunit')
    pyunit_destination_file_path = os.path.join(
        artifacts_directory, 'test-results.pyunit')

    with open(pyunit_destination_file_path, 'w') as pyunit_file:
        # subunit2pyunit prints its output to stderr, so that's what we have
        # to redirect to the file.
        subprocess.call(
            ['subunit2pyunit', subunit_source_file_path],
            universal_newlines=True,
            stderr=pyunit_file)


def print_results(artifacts_directory):
    """Print the results saved to the pyunit artifact."""
    pyunit_file_path = os.path.join(artifacts_directory, 'test-results.pyunit')
    with open(pyunit_file_path, 'r') as pyunit_file:
        print(pyunit_file.read())


def get_artifacts_directory(config_stack):
    """Return the path to the directory in which artifacts are stored."""
    output_dir = config_stack.get('output_dir')
    return os.path.join(output_dir, 'artifacts')
