# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import os

from ubuntu_system_tests.helpers import file_system as fs
from ubuntu_system_tests.helpers.data import load_test_metadata

data = load_test_metadata()

SRC_VIDEO_FILE_1 = os.path.join(fs.DIR_TEST_DATA_VIDEO, data.video.video_ogv)
SRC_VIDEO_FILE_2 = os.path.join(fs.DIR_TEST_DATA_VIDEO, data.video.video_avi)
SRC_VIDEO_FILE_3 = os.path.join(fs.DIR_TEST_DATA_VIDEO, data.video.video_3gp)
SRC_AUDIO_FILE_1 = os.path.join(fs.DIR_TEST_DATA_AUDIO,
                                data.audio.ogg_file.file)
SRC_AUDIO_FILE_2 = os.path.join(fs.DIR_TEST_DATA_AUDIO,
                                data.audio.count20.file)
SRC_AUDIO_FILE_3 = os.path.join(fs.DIR_TEST_DATA_AUDIO,
                                data.audio.mp3_file.file)
SRC_AUDIO_FILE_4 = os.path.join(fs.DIR_TEST_DATA_AUDIO,
                                data.audio.blank20.file)
SRC_AUDIO_FILE_5 = os.path.join(fs.DIR_TEST_DATA_AUDIO,
                                data.audio.noise60.file)
SRC_IMAGE_FILE_1 = os.path.join(fs.DIR_TEST_DATA_IMAGES, data.images.img1)
SRC_IMAGE_FILE_2 = os.path.join(fs.DIR_TEST_DATA_IMAGES, data.images.img2)

LOCAL_VIDEO_FILE_1 = os.path.join(fs.DIR_HOME_VIDEOS, data.video.video_ogv)
LOCAL_VIDEO_FILE_2 = os.path.join(fs.DIR_HOME_VIDEOS, data.video.video_avi)
LOCAL_VIDEO_FILE_3 = os.path.join(fs.DIR_HOME_VIDEOS, data.video.video_3gp)
LOCAL_AUDIO_FILE_1 = os.path.join(fs.DIR_HOME_MUSIC, data.audio.ogg_file.file)
LOCAL_AUDIO_FILE_2 = os.path.join(fs.DIR_HOME_MUSIC, data.audio.count20.file)
LOCAL_AUDIO_FILE_3 = os.path.join(fs.DIR_HOME_MUSIC, data.audio.mp3_file.file)
LOCAL_AUDIO_FILE_4 = os.path.join(fs.DIR_HOME_MUSIC, data.audio.blank20.file)
LOCAL_AUDIO_FILE_5 = os.path.join(fs.DIR_HOME_MUSIC, data.audio.noise60.file)
LOCAL_IMAGE_FILE = os.path.join(fs.DIR_HOME_PICTURES, data.images.img1)
