# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3,
# as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from ubuntu_system_tests.tests.scopes import BaseScopeTestCase


class ManageScopesTest(BaseScopeTestCase):
    """Tests for managing the available scopes."""

    def test_manage_scopes_displays_scopes(self):
        """
        The 'Manage' page displays an expected number of favorite and
        other scopes.

        """
        # Swipe in the launcher and press the Ubuntu button
        shell = self.unity_proxy.main_window
        shell.show_dash_from_launcher()
        scopes_list = self.dash.open_manage_scopes()
        # Check there are scopes visible here
        self.assertGreater(len(scopes_list.get_scopes_list()), 0)
        # The favourite scopes are all visible
        self.assertTrue(scopes_list.favorite_scopes_are_visible())
        # Swipe up and ensure there are scopes available
        # Multiple scopes are visible as you scroll
        self.assertTrue(scopes_list.other_scopes_are_visible())
        self.assertTrue(scopes_list.scrolling_down_shows_more_scopes())
