# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import logging

from ubuntu_system_tests.helpers import webapp
from ubuntu_system_tests.helpers.webapp import ebay
from ubuntu_system_tests.tests.webapps import BaseWebAppTestCase

logger = logging.getLogger(__name__)


class EbayTestCase(BaseWebAppTestCase):

    def setUp(self):
        super().setUp()
        self.web_app = ebay.launch_ebay_webapp()
        self.driver = webapp.get_webdriver(self.addCleanup)

    def test_open_and_view_content(self):
        """
        Validate when the eBay app is opened all content is properly displayed
        """

        homepage = ebay.Homepage(self.driver)
        search_results = homepage.search_for('ubuntu')
        total_results = search_results.results_count()

        self.assertLess(1, total_results)
